> For the complete documentation index, see [llms.txt](https://docs.2checkout.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.2checkout.com/soap-api-reference/soap-api-6.0/api-requests/pricing-options/update-price-options.md).

# Update price options

Use the **updatePriceOptionGroup** method to update/edit an existing price options group you configured for your account. Price options intervals cannot overlap.

## Request parameters

| Parameters                                                                                                                 | Type/Description                                                                                                                                                                                                                                                                                               |
| -------------------------------------------------------------------------------------------------------------------------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| **sessionID**                                                                                                              | <p><strong>Required (string)</strong><br>Session identifier, the output of the <strong>Login</strong> method. Include <strong>sessionID</strong> into all your requests. 2Checkout throws an exception if the values are incorrect. The <strong>sessionID</strong> expires in <strong>10 minutes</strong>.</p> |
| [**PriceOptionsGroup**](https://verifone.cloud/docs/2checkout/API-Integration/SOAP_API_6.0/API-Requests/004Price-options/) | <p><strong>Required (object)</strong><br>Use this object to update/edit a new price option group for your account.</p>                                                                                                                                                                                         |

{% hint style="warning" %}
You cannot update the **Code** and **Required** parameters of the price options group.
{% endhint %}

### Response sample

```php
bool(true)
```

### Request sample

```php
<?php

require ('PATH_TO_AUTH');

$SearchOptions = new stdClass ();
$SearchOptions->Name = 'New Users from API';
$SearchOptions->Types = array('INTERVAL', 'RADIO'); //RADIO, CHECKBOX, INTERVAL, COMBO

$SearchOptions->Pagination = new stdClass ();
$SearchOptions->Pagination->Limit = 10;
$SearchOptions->Pagination->Page = 1;

try {
    $existentPriceOptions = $client->searchPriceOptionGroups($sessionID, $SearchOptions);
}

catch (SoapFault $e) {
    echo "existentPriceOptions: " . $e->getMessage();
    exit;
}

var_dump ($existentPriceOptions);

$updatedPriceOptions = $existentPriceOptions->Items[0]; //assigning pricing option into a new variable
$updatedPriceOptions->Translations[0]->Name = 'New Users from API3';
$updatedPriceOptions->Translations[0]->Language = 'EN';

echo ($updatedPriceOptions->Name);

try {
    $NewPriceOptionGroup = $client->updatePriceOptionGroup($sessionID, $updatedPriceOptions);
}

catch (SoapFault $e) {
    echo "NewPriceOptionGroup: " . $e->getMessage();
    exit;
}

var_dump("NewPriceOptionGroup", $NewPriceOptionGroup);

?>
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.2checkout.com/soap-api-reference/soap-api-6.0/api-requests/pricing-options/update-price-options.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
